Subject: Re: bug#51753: ERC switches to channel buffer on reconnect

From: "J.P." <[email-masked]>
Date: Fri, 19 Nov 2021 23:21:59 -0800

It just occurred to me that we may also want to reset
`erc--server-last-reconnect-count' at some point after all (re)JOINing
is done with (both client- and server-initiated) so that the option
`erc-join-buffer' regains precedence over `erc-reconnect-display' for
the remainder of the connection. Doing so in `erc-cmd-JOIN' would cover
manually issued /JOINs as well as invocations of `erc-join-channel'.